%define ver 1.2.7
%define __libtoolize :
%define momorel 3

Summary: Simple DirectMedia Layer
Name: SDL
Version: %{ver}
Release: %{momorel}m
%NoSource 0 http://www.libsdl.org/release/%{name}-%{version}.tar.gz d29b34b6ba3ed213893fc9d8d35e357a
URL: http://www.libsdl.org/
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: DirectFB-devel >= 0.9.16-1m
BuildRequires: libtool
BuildRequires: nasm
BuildRequires: esound-devel >= 0.2.29-2m
BuildRequires: arts-devel
BuildRequires: XFree86-devel
BuildRequires: audiofile-devel >= 0.2.1
BuildRequires: aalib

%description
This is the Simple DirectMedia Layer, a generic API that provides low
level access to audio, keyboard, mouse, and display framebuffer across
multiple platforms.

%package devel
Summary: Libraries, includes and more to develop SDL applications.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This is the Simple DirectMedia Layer, a generic API that provides low
level access to audio, keyboard, mouse, and display framebuffer across
multiple platforms.

This is the libraries, include files and other resources you can use
to develop SDL applications.


%prep
rm -rf %{buildroot}

%setup -q 


%build
CFLAGS="%{optflags}" %configure \
   --enable-video-directfb \
   --enable-video-aalib \
   --enable-dlopen

make

%install
rm -rf %{buildroot}
%makeinstall transform='s,x,x,'

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README-SDL.txt COPYING CREDITS BUGS
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc README README-SDL.txt COPYING CREDITS BUGS WhatsNew docs.html
%doc docs/index.html docs/html
%{_bindir}/*-config
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_includedir}/SDL
%{_mandir}/man3/*
%{_datadir}/aclocal/*

%changelog
* Mon Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (1.2.7-3m)
- revised spec for enabling rpm 4.2.

* Sat Mar  6 2004 Toru Hoshina <t@momonga-linux.org>
- (1.2.7-2m)
- kossori.

* Mon Feb 23 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.2.7-1m)
- update to 1.2.7

* Sat Dec 20 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (1.2.6-2m)
- add patch for ALSA-1.0.0

* Tue Sep  2 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (1.2.6-1m)
- revise SDL-directfb-0.9.16.patch for SDL-1.2.6
- remove SDL-1.2.5-multiline-string.patch which is merged into original source

* Fri Jul 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.2.5-4m)
- fix multiline string

* Wed Jun  4 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.2.5-3m)
  rebuild against DirectFB 0.9.18

* Sat Jan 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.2.5-2m)
- add patch for DirectFB-0.9.16

* Sun Dec 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.5-1m)

* Mon Sep  2 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (1.2.4-6m)
- fix typo?

* Sat Aug 31 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.4-5m)
- remove Requires: tag

* Fri Aug 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.4-4m)
- transform='s,x,x,' in %makeinstall

* Tue Aug 27 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.4-3m)
- SDL-1.2-20020825 snapshot
- rebuild against arts-1.0.3-2m, esound-0.2.29-2m, DirectFB-0.9.13-1m

* Thu May  9 2002 Toru Hoshina <t@kondara.org>
- (1.2.4-2k)
- version up.

* Thu Aug 23 2001 Toru Hoshina <toru@df-usa.com>
- (1.2.2-2k)
- version up.

* Sat Apr 21 2001 Kenichi Matsubara <m@kondara.org>
- (1.2.0-4k)
- add SDL-1.2.0.so.

* Sat Apr 14 2001 Shingo Akagaki <dora@kondara.org>
- version 1.2.0

* Fri Mar 30 2001 Toru Hoshina <toru@df-usa.com>
- (1.1.7-5k)
- rebuild against audiofile-0.2.1.

* Tue Mar 27 2001 Toru Hoshina <toru@df-usa.com>
- (1.1.7-3k)

* Sun Dec 24 2000 Kenichi Matsubara <m@kondara.org>
- (1.1.6-5k)
- rebuild against audiofile-0.2.0.

* Wed Oct 25 2000 Davide Inglima <cat@kondara.org>
- (1.1.6-1k)
- update to 1.1.6

* Mon Oct 23 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (1.1.5-3k)
- changed spec file with %configure and %makeinstall

* Thu Oct 19 2000 Davide Inglima <cat@kondara.org>
- Added necessary BuildPrereqs.

* Mon Oct 16 2000 Davide Inglima <cat@kondara.org>
- Modified specfile to install manpages in /usr/share/man, and tested doc 
  against /usr/share/doc.

* Sun Oct 15 2000 Unknown Kondaraz <webmaster@kondara.org>
- Modified SDL for Kondara and uploaded spec

* Wed Jan 19 2000 Sam Lantinga <slouken@libsdl.org>
- Re-integrated spec file into SDL distribution
- 'name' and 'version' come from configure 
- Some of the documentation is devel specific
- Removed SMP support from %build - it doesn't work with libtool anyway

* Tue Jan 18 2000 Hakan Tandogan <hakan@iconsult.com>
- Hacked Mandrake sdl spec to build 1.1

* Sun Dec 19 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Sat Dec 18 1999 John Buswell <johnb@mandrakesoft.com>
- Add symlink for libSDL-1.0.so.0 required by sdlbomber
- Added docs

* Thu Dec 09 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v 1.0.0

* Mon Nov  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First spec file for Mandrake distribution.
